<?php

namespace Drupal\Tests\splio\Unit\Provider;

use Drupal\splio\Entity\SplioEntity;
use Symfony\Component\HttpFoundation\Response;

class SplioContactsFieldDataProvider implements DataProviderInterface {

  public function execute() : array {

    return [
      [
        'response_200' => [
          'entity' => SplioEntity::TYPE_CONTACTS,
          'client_response' => [
            'code' => Response::HTTP_OK,
            'body' => [
              'count_element' => 64,
              'current_page' => 1,
              'per_page' => 500,
              'sort' => [
                'id' => 'DESC'
              ],
              'elements' => [
                [
                  'label' => 'ID',
                  'intid' => NULL,
                  'id' => 0,
                  'is_system' => TRUE,
                  'filling' => NULL,
                  'unique_values' => NULL,
                  'field_key' => 'id',
                  'name' => 'id',
                  'translation_key' => 'Id',
                  'data_type' => 'text'
                ],
                [
                  'label' => 'First name',
                  'intid' => NULL,
                  'id' => 0,
                  'is_system' => TRUE,
                  'filling' => 100,
                  'unique_values' => 1,
                  'field_key' => 'firstname',
                  'name' => 'prenom',
                  'translation_key' => 'First name',
                  'data_type' => 'text'
                ],
                [
                  'label' => 'Email address',
                  'intid' => NULL,
                  'id' => 0,
                  'is_system' => TRUE,
                  'filling' => 100,
                  'unique_values' => 1,
                  'field_key' => 'email',
                  'name' => 'email',
                  'translation_key' => 'Email',
                  'data_type' => 'text'
                ],
                [
                  'label' => 'Cellphone',
                  'intid' => NULL,
                  'id' => 0,
                  'is_system' => TRUE,
                  'filling' => 0,
                  'unique_values' => 1,
                  'field_key' => 'cellphone',
                  'name' => 'cellphone',
                  'translation_key' => 'Cellphone',
                  'data_type' => 'text'
                ],
                [
                  'label' => 'Date',
                  'data_type' => 'date',
                  'intid' => NULL,
                  'id' => 0,
                  'is_system' => TRUE,
                  'filling' => NULL,
                  'unique_values' => NULL,
                  'field_key' => 'date',
                  'name' => 'date',
                  'translation_key' => 'Date'
                ],
                [
                  'label' => 'Language',
                  'intid' => NULL,
                  'id' => 0,
                  'is_system' => TRUE,
                  'filling' => NULL,
                  'unique_values' => NULL,
                  'field_key' => 'langue',
                  'name' => 'langue',
                  'translation_key' => 'Language',
                  'data_type' => 'text'
                ],
                [
                  'intid' => NULL,
                  'id' => 0,
                  'name' => 'REG_key',
                  'label' => 'REG_key',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'REG_key',
                  'field_key' => 'REG_key',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 1,
                  'id' => 1,
                  'name' => 'REG Date',
                  'label' => 'REG Date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'REG Date',
                  'field_key' => 'REG Date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 2,
                  'id' => 2,
                  'name' => 'REG Domain',
                  'label' => 'REG Domain',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'REG Domain',
                  'field_key' => 'REG Domain',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 3,
                  'id' => 3,
                  'name' => 'REG Medium',
                  'label' => 'REG Medium',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'REG Medium',
                  'field_key' => 'REG Medium',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 4,
                  'id' => 4,
                  'name' => 'REG Source',
                  'label' => 'REG Source',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'REG Source',
                  'field_key' => 'REG Source',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 5,
                  'id' => 5,
                  'name' => 'REG Campaign',
                  'label' => 'REG Campaign',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'REG Campaign',
                  'field_key' => 'REG Campaign',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 6,
                  'id' => 6,
                  'name' => 'GEO Zip Code',
                  'label' => 'GEO Zip Code',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'GEO Zip Code',
                  'field_key' => 'GEO Zip Code',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 7,
                  'id' => 7,
                  'name' => 'DEM Gender',
                  'label' => 'DEM Gender',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'DEM Gender',
                  'field_key' => 'DEM Gender',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 8,
                  'id' => 8,
                  'name' => 'ENG Logins',
                  'label' => 'ENG Logins',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'ENG Logins',
                  'field_key' => 'ENG Logins',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 9,
                  'id' => 9,
                  'name' => 'ENG Last login',
                  'label' => 'ENG Last login',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'ENG Last login',
                  'field_key' => 'ENG Last login',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 10,
                  'id' => 10,
                  'name' => 'SPO Sponsored users',
                  'label' => 'SPO Sponsored users',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'SPO Sponsored users',
                  'field_key' => 'SPO Sponsored users',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 11,
                  'id' => 11,
                  'name' => 'PRE version',
                  'label' => 'PRE version',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'PRE version',
                  'field_key' => 'PRE version',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 12,
                  'id' => 12,
                  'name' => 'PER price range',
                  'label' => 'PER price range',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'PER price range',
                  'field_key' => 'PER price range',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 13,
                  'id' => 13,
                  'name' => 'PER wine type',
                  'label' => 'PER wine type',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'PER wine type',
                  'field_key' => 'PER wine type',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 14,
                  'id' => 14,
                  'name' => 'RECO_Based_on_purchases',
                  'label' => 'RECO_Based_on_purchases',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'RECO_Based_on_purchases',
                  'field_key' => 'RECO_Based_on_purchases',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 15,
                  'id' => 15,
                  'name' => 'PER wine appellation',
                  'label' => 'PER wine appellation',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'PER wine appellation',
                  'field_key' => 'PER wine appellation',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 16,
                  'id' => 16,
                  'name' => 'RECO_Time_to_repeat',
                  'label' => 'RECO_Time_to_repeat',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'RECO_Time_to_repeat',
                  'field_key' => 'RECO_Time_to_repeat',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 17,
                  'id' => 17,
                  'name' => 'VAL Nb of orders',
                  'label' => 'VAL Nb of orders',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'VAL Nb of orders',
                  'field_key' => 'VAL Nb of orders',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 18,
                  'id' => 18,
                  'name' => 'VAL Last order date',
                  'label' => 'VAL Last order date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'VAL Last order date',
                  'field_key' => 'VAL Last order date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 19,
                  'id' => 19,
                  'name' => 'VAL Total revenues',
                  'label' => 'VAL Total revenues',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'VAL Total revenues',
                  'field_key' => 'VAL Total revenues',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 20,
                  'id' => 20,
                  'name' => 'VAL Av order value',
                  'label' => 'VAL Av order value',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'VAL Av order value',
                  'field_key' => 'VAL Av order value',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 21,
                  'id' => 21,
                  'name' => 'VAL Av product value',
                  'label' => 'VAL Av product value',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'VAL Av product value',
                  'field_key' => 'VAL Av product value',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 22,
                  'id' => 22,
                  'name' => 'VAL Av discount per order',
                  'label' => 'VAL Av discount per order',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'VAL Av discount per order',
                  'field_key' => 'VAL Av discount per order',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 23,
                  'id' => 23,
                  'name' => 'VAL Av shipping per order',
                  'label' => 'VAL Av shipping per order',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'VAL Av shipping per order',
                  'field_key' => 'VAL Av shipping per order',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 24,
                  'id' => 24,
                  'name' => 'VAL Credit amount',
                  'label' => 'VAL Credit amount',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'VAL Credit amount',
                  'field_key' => 'VAL Credit amount',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 25,
                  'id' => 25,
                  'name' => 'CLB Subscriber',
                  'label' => 'CLB Subscriber',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'CLB Subscriber',
                  'field_key' => 'CLB Subscriber',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 26,
                  'id' => 26,
                  'name' => 'CLB sub status',
                  'label' => 'CLB sub status',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'CLB sub status',
                  'field_key' => 'CLB sub status',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 27,
                  'id' => 27,
                  'name' => 'CLB monthlybox',
                  'label' => 'CLB monthlybox',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'CLB monthlybox',
                  'field_key' => 'CLB monthlybox',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 28,
                  'id' => 28,
                  'name' => 'PER winery',
                  'label' => 'PER winery',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'PER winery',
                  'field_key' => 'PER winery',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 29,
                  'id' => 29,
                  'name' => 'PER wine brand',
                  'label' => 'PER wine brand',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'PER wine brand',
                  'field_key' => 'PER wine brand',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 30,
                  'id' => 30,
                  'name' => 'TEMPORAL_link_entradas',
                  'label' => 'TEMPORAL_link_entradas',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'TEMPORAL_link_entradas',
                  'field_key' => 'TEMPORAL_link_entradas',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 34,
                  'id' => 34,
                  'name' => 'PRE End Date',
                  'label' => 'PRE End Date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'PRE End Date',
                  'field_key' => 'PRE End Date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 35,
                  'id' => 35,
                  'name' => 'GEO Country',
                  'label' => 'GEO Country',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'GEO Country',
                  'field_key' => 'GEO Country',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 36,
                  'id' => 36,
                  'name' => 'GEO Province',
                  'label' => 'GEO Province',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'GEO Province',
                  'field_key' => 'GEO Province',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 37,
                  'id' => 37,
                  'name' => 'GEO Town',
                  'label' => 'GEO Town',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'GEO Town',
                  'field_key' => 'GEO Town',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 38,
                  'id' => 38,
                  'name' => 'NEWS Frequency',
                  'label' => 'NEWS Frequency',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'NEWS Frequency',
                  'field_key' => 'NEWS Frequency',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 39,
                  'id' => 39,
                  'name' => 'USE Uid',
                  'label' => 'USE Uid',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'USE Uid',
                  'field_key' => 'USE Uid',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 41,
                  'id' => 41,
                  'name' => 'Bodega',
                  'label' => 'Bodega',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'Bodega',
                  'field_key' => 'Bodega',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 42,
                  'id' => 42,
                  'name' => 'DEV updated',
                  'label' => 'DEV updated',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'DEV updated',
                  'field_key' => 'DEV updated',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 44,
                  'id' => 44,
                  'name' => 'CLB_last_delivery_date',
                  'label' => 'CLB_last_delivery_date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'CLB_last_delivery_date',
                  'field_key' => 'CLB_last_delivery_date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 45,
                  'id' => 45,
                  'name' => 'CLB_last_delivered_box',
                  'label' => 'CLB_last_delivered_box',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'CLB_last_delivered_box',
                  'field_key' => 'CLB_last_delivered_box',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 46,
                  'id' => 46,
                  'name' => 'CLB_last_delivered_box_status',
                  'label' => 'CLB_last_delivered_box_status',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'CLB_last_delivered_box_status',
                  'field_key' => 'CLB_last_delivered_box_status',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 47,
                  'id' => 47,
                  'name' => 'DEM Birth Date',
                  'label' => 'DEM Birth Date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'DEM Birth Date',
                  'field_key' => 'DEM Birth Date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 48,
                  'id' => 48,
                  'name' => 'DEM User Type',
                  'label' => 'DEM User Type',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'DEM User Type',
                  'field_key' => 'DEM User Type',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 49,
                  'id' => 49,
                  'name' => 'SPO Sponsored',
                  'label' => 'SPO Sponsored',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'SPO Sponsored',
                  'field_key' => 'SPO Sponsored',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 50,
                  'id' => 50,
                  'name' => 'PRE Is Premium',
                  'label' => 'PRE Is Premium',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'PRE Is Premium',
                  'field_key' => 'PRE Is Premium',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 51,
                  'id' => 51,
                  'name' => 'PRE Start Date',
                  'label' => 'PRE Start Date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'PRE Start Date',
                  'field_key' => 'PRE Start Date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 52,
                  'id' => 52,
                  'name' => 'REG Content',
                  'label' => 'REG Content',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'REG Content',
                  'field_key' => 'REG Content',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 53,
                  'id' => 53,
                  'name' => 'VAL Last order delivered',
                  'label' => 'VAL Last order delivered',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'VAL Last order delivered',
                  'field_key' => 'VAL Last order delivered',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 54,
                  'id' => 54,
                  'name' => 'CLB Subscription date',
                  'label' => 'CLB Subscription date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'CLB Subscription date',
                  'field_key' => 'CLB Subscription date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 55,
                  'id' => 55,
                  'name' => 'CLB Cancelation date',
                  'label' => 'CLB Cancelation date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'CLB Cancelation date',
                  'field_key' => 'CLB Cancelation date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 56,
                  'id' => 56,
                  'name' => 'APP iOS Installed',
                  'label' => 'APP iOS Installed',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'APP iOS Installed',
                  'field_key' => 'APP iOS Installed',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 57,
                  'id' => 57,
                  'name' => 'APP iOS Installation Date',
                  'label' => 'APP iOS Installation Date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'APP iOS Installation Date',
                  'field_key' => 'APP iOS Installation Date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 58,
                  'id' => 58,
                  'name' => 'APP iOS Version',
                  'label' => 'APP iOS Version',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'APP iOS Version',
                  'field_key' => 'APP iOS Version',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 59,
                  'id' => 59,
                  'name' => 'APP Android Installed',
                  'label' => 'APP Android Installed',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'APP Android Installed',
                  'field_key' => 'APP Android Installed',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 60,
                  'id' => 60,
                  'name' => 'APP Android Installation Date',
                  'label' => 'APP Android Installation Date',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'APP Android Installation Date',
                  'field_key' => 'APP Android Installation Date',
                  'unique_values' => 1,
                  'filling' => 0
                ],
                [
                  'intid' => 61,
                  'id' => 61,
                  'name' => 'APP Android Version',
                  'label' => 'APP Android Version',
                  'data_type' => NULL,
                  'is_system' => FALSE,
                  'translation_key' => 'APP Android Version',
                  'field_key' => 'APP Android Version',
                  'unique_values' => 1,
                  'filling' => 0
                ]
              ]
            ]
          ]
        ],
      ],
    ];
  }

}